# DataStructures::AVLBalancedBinarySearchTree< BinarySearchTreeType > Class Template Reference

An AVLBalancedBinarySearchTree is a binary tree that is always balanced. More...

`#include <DS_BinarySearchTree.h>`

Inheritance diagram for DataStructures::AVLBalancedBinarySearchTree< BinarySearchTreeType >:

List of all members.

## Detailed Description

### template<class BinarySearchTreeType>
class DataStructures::AVLBalancedBinarySearchTree< BinarySearchTreeType >

An AVLBalancedBinarySearchTree is a binary tree that is always balanced.

The documentation for this class was generated from the following file:

- d:/RakNet-3.x/Source/DS_BinarySearchTree.h